"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa627060>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa627100>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa6271a0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa627240>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa6272e0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa627380>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa627420>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa6274c0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa627560>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa627600>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa6276a0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa627740>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa6277e0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa627880>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa627920>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa6279c0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa627a60>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa627b00>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa627ba0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa627c40>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa627ce0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa627d80>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa627e20>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa627ec0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa627f60>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67c040>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67c0e0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67c180>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67c220>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67c2c0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67c360>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67c400>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67c4a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67c540>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67c5e0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67c680>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67c720>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67c7c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67c860>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67c900>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67c9a0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67ca40>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67cae0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67cb80>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67cc20>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67ccc0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67cd60>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67ce00>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67cea0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67cf40>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67cfe0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67d080>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67d120>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67d1c0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67d260>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67d300>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67d3a0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67d440>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67d4e0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67d580>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67d620>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67d6c0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67d760>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67d800>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67d8a0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67d940>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67d9e0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67da80>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67db20>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67dbc0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67dc60>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67dd00>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67dda0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67de40>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67dee0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67df80>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67e020>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67e0c0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67e160>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67e200>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67e340>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67e2a0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67e3e0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67e480>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa67e520>)]
name: str = 'fr_HOCCN'
